Package org.apache.groovy.swing.binding

## Class SwingTimerTriggerBinding

- java.lang.Object
- - org.apache.groovy.swing.binding.SwingTimerTriggerBinding

- All Implemented Interfaces:
    `TriggerBinding`

      public class SwingTimerTriggerBinding
      extends Object
      implements TriggerBinding

  Since:
    Groovy 1.1

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SwingTimerTriggerBinding()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FullBinding` | `createBinding​(SourceBinding source, TargetBinding target)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwingTimerTriggerBinding

          public SwingTimerTriggerBinding()

  - ### Method Detail

    - #### createBinding

          public FullBinding createBinding​(SourceBinding source,
                                           TargetBinding target)

      Specified by:
        `createBinding` in interface `TriggerBinding`